import type { graphqlOperationObject } from '../types/graphqlOperation.js';
export interface GraphqlModelConfigProps {
    modelName: string;
    modelKey?: string;
    modelBy?: object;
    operationCreate?: graphqlOperationObject<any, any> | string;
    operationUpdate?: graphqlOperationObject<any, any> | string;
    operationDelete?: graphqlOperationObject<any, any> | string;
    operationRead?: graphqlOperationObject<any, any> | string;
    operationReadPageable?: graphqlOperationObject<any, any> | string;
    operationSearch?: graphqlOperationObject<any, any> | string;
    fields?: Array<string | object>;
}
export declare function useGraphqlModelOperation<T extends GraphqlModelConfigProps>(props: T): {
    operationCreate: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
    operationUpdate: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
    operationDelete: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
    operationRead: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
    operationReadPageable: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
    operationSearch: import("vue").ComputedRef<graphqlOperationObject<any, any>>;
};
